fulfillment-associate-orders-post-one¶
Source¶
Repository:
jef-systems/jef-fulfillment-associate-backendSource Run ID:
25102000534Source SHA:
c226ca62ef6b026753728d0bc8bc0d132f27115dModule:
fulfillment-associateDocumentation Scope:
asyncLambda:
jef-fulfillment-associate-post-4
Endpoint¶
API Name:
jef-fulfillment-associateAction Name:
postMethod:
POSTScope Label:
AsyncResource Path:
/fulfillment-associate-orders-post-oneComplete Endpoint:
https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-orders-post-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-fulfillment-associate-post-4curl payload mode:
json_body
API Gateway Description¶
Function: jef-fulfillment-associate-post-4
Module: jef-fulfillment-associate
Action: post
Method: POST
Invocation Mode: ASYNC
Resource Path: /fulfillment-associate-orders-post-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-fulfillment-associate-orders
Payload Example:
- pk: order-001
- gsi_1_pk: pending
- gsi_1_sk: 2026-04-29T09:00:00+08:00
- id: order-001
- customer: Walk-in Customer
- channel: store
- status: pending
- items[0].id: item-001
- items[0].name: Sample Product A
- items[0].barcode: 4800000000011
- items[0].quantity: 2
- items[0].fulfilled: 0
- items[0].price: 120
- items[1].id: item-002
- items[1].name: Sample Product B
- items[1].barcode: 4800000000028
- items[1].quantity: 1
- items[1].fulfilled: 0
- items[1].price: 80
- fulfilled_at:
- fulfilled_by:
- packed_at:
- packed_by:
- completed_at:
- completed_by:
- handoff_type: pickup
- notes:
- source_store_pk: store-001
- destination_store_pk: store-001
- assigned_associate_pk: associate-001
- total_lines: 2
- total_quantity: 3
- total_fulfilled_quantity: 0
- total_amount: 320
- created_at: 2026-04-29T09:00:00+08:00
- updated_at: 2026-04-29T09:00:00+08:00
- local_version: 1
- sync_status: synced
- deleted_at:
- idempotency_key: order-001-20260429
Payload Schema:
- pk: string-{id}
- gsi_1_pk: string-{status}
- gsi_1_sk: string-{created_at}
- id: string
- customer: string
- channel: string
- status: string
- items[0].id: string
- items[0].name: string
- items[0].barcode: string
- items[0].quantity: number
- items[0].fulfilled: number
- items[0].price: number
- fulfilled_at: string
- fulfilled_by: string
- packed_at: string
- packed_by: string
- completed_at: string
- completed_by: string
- handoff_type: string
- notes: string
- source_store_pk: string
- destination_store_pk: string
- assigned_associate_pk: string
- total_lines: number
- total_quantity: number
- total_fulfilled_quantity: number
- total_amount: number
- created_at: string
- updated_at: string
- local_version: number
- sync_status: string
- deleted_at: string
- idempotency_key: string
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"pk": "order-001",
"gsi_1_pk": "pending",
"gsi_1_sk": "2026-04-29T09:00:00+08:00",
"id": "order-001",
"customer": "Walk-in Customer",
"channel": "store",
"status": "pending",
"items[0].id": "item-001",
"items[0].name": "Sample Product A",
"items[0].barcode": "4800000000011",
"items[0].quantity": "2",
"items[0].fulfilled": "0",
"items[0].price": "120",
"items[1].id": "item-002",
"items[1].name": "Sample Product B",
"items[1].barcode": "4800000000028",
"items[1].quantity": "1",
"items[1].fulfilled": "0",
"items[1].price": "80",
"fulfilled_at": "",
"fulfilled_by": "",
"packed_at": "",
"packed_by": "",
"completed_at": "",
"completed_by": "",
"handoff_type": "pickup",
"notes": "",
"source_store_pk": "store-001",
"destination_store_pk": "store-001",
"assigned_associate_pk": "associate-001",
"total_lines": "2",
"total_quantity": "3",
"total_fulfilled_quantity": "0",
"total_amount": "320",
"created_at": "2026-04-29T09:00:00+08:00",
"updated_at": "2026-04-29T09:00:00+08:00",
"local_version": "1",
"sync_status": "synced",
"deleted_at": "",
"idempotency_key": "order-001-20260429"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X POST "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-orders-post-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"order-001\", \"gsi_1_pk\": \"pending\", \"gsi_1_sk\": \"2026-04-29T09:00:00+08:00\", \"id\": \"order-001\", \"customer\": \"Walk-in Customer\", \"channel\": \"store\", \"status\": \"pending\", \"items\": [{\"id\": \"item-001\", \"name\": \"Sample Product A\", \"barcode\": \"4800000000011\", \"quantity\": 2, \"fulfilled\": 0, \"price\": 120}, {\"id\": \"item-002\", \"name\": \"Sample Product B\", \"barcode\": \"4800000000028\", \"quantity\": 1, \"fulfilled\": 0, \"price\": 80}], \"fulfilled_at\": \"\", \"fulfilled_by\": \"\", \"packed_at\": \"\", \"packed_by\": \"\", \"completed_at\": \"\", \"completed_by\": \"\", \"handoff_type\": \"pickup\", \"notes\": \"\", \"source_store_pk\": \"store-001\", \"destination_store_pk\": \"store-001\", \"assigned_associate_pk\": \"associate-001\", \"total_lines\": 2, \"total_quantity\": 3, \"total_fulfilled_quantity\": 0, \"total_amount\": 320, \"created_at\": \"2026-04-29T09:00:00+08:00\", \"updated_at\": \"2026-04-29T09:00:00+08:00\", \"local_version\": 1, \"sync_status\": \"synced\", \"deleted_at\": \"\", \"idempotency_key\": \"order-001-20260429\"}"
PowerShell curl¶
curl.exe -X POST "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-orders-post-one" -H "Content-Type: application/json" --data-raw '{"pk": "order-001", "gsi_1_pk": "pending", "gsi_1_sk": "2026-04-29T09:00:00+08:00", "id": "order-001", "customer": "Walk-in Customer", "channel": "store", "status": "pending", "items": [{"id": "item-001", "name": "Sample Product A", "barcode": "4800000000011", "quantity": 2, "fulfilled": 0, "price": 120}, {"id": "item-002", "name": "Sample Product B", "barcode": "4800000000028", "quantity": 1, "fulfilled": 0, "price": 80}], "fulfilled_at": "", "fulfilled_by": "", "packed_at": "", "packed_by": "", "completed_at": "", "completed_by": "", "handoff_type": "pickup", "notes": "", "source_store_pk": "store-001", "destination_store_pk": "store-001", "assigned_associate_pk": "associate-001", "total_lines": 2, "total_quantity": 3, "total_fulfilled_quantity": 0, "total_amount": 320, "created_at": "2026-04-29T09:00:00+08:00", "updated_at": "2026-04-29T09:00:00+08:00", "local_version": 1, "sync_status": "synced", "deleted_at": "", "idempotency_key": "order-001-20260429"}'